.neocube-alert {
    position: fixed;
    z-index: 3100;
    width: 100%;
    height: 100vh;
    top: 0;
    left: 0;
    border: 0;
    background-color: rgba(0, 0, 0, 0.4);
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: center;
    transition: 300ms;
    opacity: 0;
}

.neocube-alert>div {
    max-width: 90vw;
    height: auto;
    margin: 5vh 0 0 0;
    max-height: 90vh;
    text-align: left;
    background-color: #f7fafc;
    box-shadow: 2px 2px 5px 0 rgba(0, 0, 0, 0.6);
    border: 1px solid rgba(0, 0, 0, 0.2);
    border-radius: 2px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    transition: 300ms;
    transform: translateY(100px);
}

.neocube-alert.center {
    justify-content: center;
}

.neocube-alert.center>div {
    margin: 0
}

.neocube-alert.bottom {
    justify-content: end;
}

.neocube-alert.bottom>div {
    margin: 0 0 5vh 0;
}

.neocube-alert.show {
    opacity: 1;
}

.neocube-alert.show>div {
    transform: translateY(0);
    position: relative;
}

.neocube-alert>div>.alert-toast {
    position: absolute;
    z-index: 10;
    bottom: 50px;
    left: 10px;
    padding: 0 10px;
    height: 0;
    overflow: hidden;
    border: 0;
    border-radius: 6px;
    box-sizing: border-box;
    width: calc(100% - 20px);
    font-size: 14px;
    transition: 200ms;
    opacity: 0;
    transform: translateY(10px);
}

.neocube-alert>div>.alert-toast::before {
    border: 0;
    border-radius: 50%;
    font-size: 14px;
    line-height: 14px;
    text-align: center;
    height: 15px;
    width: 15px;
    content: "x";
    font-weight: bold;
    display: block;
    float: right;
}

.neocube-alert>div>.alert-toast.danger {
    background-color: #f67474;
    color: #6e0000;
}

.neocube-alert>div>.alert-toast.danger::before {
    color: #f67474;
    background-color: #6e0000;
}

.neocube-alert>div>.alert-toast.success {
    background-color: #54cd5d;
    color: #fff;
}

.neocube-alert>div>.alert-toast.success::before {
    color: #54cd5d;
    background-color: #fff;
}

.neocube-alert>div>.alert-toast.show {
    padding: 10px;
    height: auto;
    overflow: auto;
    opacity: 1;
    transform: translateY(0);
}

.neocube-alert>div>.alert-bar {
    color: #2b2b2b;
    border-bottom: 1px solid #e0e0e0;
    box-sizing: border-box;
    font-size: 1.2em;
    font-weight: 400;
    line-height: auto;
    vertical-align: middle;
    padding: 10px 10px 5px 10px;
    flex: 0 1 40px;
    max-height: 65px;
}

.neocube-alert>div>.alert-bar>button {
    float: right;
    color: #808080;
    font-size: 18px;
    line-height: 20px;
    padding: 0;
    font-weight: bold;
    text-transform: uppercase;
    background-color: transparent;
    border: 0;
    border-radius: 50%;
    height: 25px;
    width: 25px;
    cursor: pointer;
}

.neocube-alert>div>.alert-message {
    padding: 0 10px;
    border-top: 10px solid rgba(255, 255, 255, 0);
    border-bottom: 10px solid rgba(255, 255, 255, 0);
    font-size: inherit;
    line-height: inherit;
    overflow: auto;
    box-sizing: border-box;
    max-height: 100%;
    min-height: 100px;
    flex: 1 1 auto;
}

.neocube-alert>div>.alert-button {
    border-top: 1px solid #e0e0e0;
    box-sizing: content-box;
    padding: 6px 10px;
    flex: 0 1 auto;
    height: auto;
    max-height: 78px;
    text-align: right;
}

.neocube-alert>div>.alert-button>button {
    bottom: 0;
    color: #222;
    font-size: 14px;
    text-transform: uppercase;
    background-color: #bdbdbd;
    margin: 2px;
    padding: 0 10px;
    height: 35px;
    text-decoration: none;
    border: 0;
    border-radius: 3px;
    display: inline-block;
    cursor: pointer;
}

.neocube-alert>div>.alert-button>button.left {
    float: left;
}

.neocube-alert>div>.alert-button>button.danger {
    color: #FFFFFF;
    background-color: #da542e;
}

.neocube-alert>div>.alert-button>button.success {
    color: #FFFFFF;
    background-color: #28b779;
}

.neocube-alert>div>.alert-button>button.info {
    color: #FFFFFF;
    background-color: #2255a4;
}

.neocube-alert>div>.alert-button>button.warning {
    color: #FFFFFF;
    background-color: #ffb848;
}

.neocube-alert>div.transparent {
    background-color: transparent;
    box-shadow: none;
    border: 0;
}

.neocube-alert>div.transparent>.alert-message {
    padding: 0;
}

.neocube-alert>div>.alert-button-closex {
    position: fixed;
    z-index: 1100;
    top: 4px;
    right: 6px;
    height: 30px;
    width: 30px;
    border: 0;
    border-radius: 15px;
    color: #444;
    font-size: 14px;
    font-weight: bold;
    cursor: pointer;
}

.alert-message .row:not([class*="g-"]) {
    --bs-gutter-x: 1rem;
}



/* NEOCUBE LOAGING */
@keyframes spinner {
    to {
        transform: rotate(360deg);
    }
}

#neocube-loading {
    position: fixed;
    z-index: 9999;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    margin: 0;
    border: 0;
    padding: 0;
    background-color: rgba(255, 255, 255, 0.8);
    text-align: center;
    display: none;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

#neocube-loading.show {
    display: flex;
}

#neocube-loading>div {
    flex: 1;
    height: auto;
    padding-top: 40px;
    position: relative;
}

#neocube-loading>div>span:nth-child(1) {
    box-sizing: border-box;
    position: absolute;
    top: 0;
    left: 50%;
    width: 50px;
    height: 50px;
    margin-left: -25px;
    border-radius: 50%;
    border: 2px solid transparent;
    border-top-color: #464646;
    border-bottom-color: #464646;
    animation: spinner 0.7s ease infinite;
}

#neocube-loading>div>span:nth-child(2) {
    display: block;
    padding-top: 20px;
    color: #7c7c7c;
}


/* NEOCUBE TOAST */

.neocube-toast {
    display: flex;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 9999;
    width: 100dvw;
    height: 100dvh;
    opacity: 0;
}

.neocube-toast .neocube-toast-content {
    display: block;
    padding: 20px;
    margin: 30px;
    border-radius: 5px;
    width: auto;
    max-width: 300px;
    min-width: 120px;
    transition: 300ms;
    transform: translateY(10px);
    cursor: pointer;
}

.neocube-toast.show {
    opacity: 1;
}

.neocube-toast.show .neocube-toast-content {
    transform: translateY(0);
}

.neocube-toast.top {
    flex-direction: row;
    align-items: start;
}

.neocube-toast.bottom {
    flex-direction: row;
    align-items: end;
}

.neocube-toast.left {
    justify-content: start;
}

.neocube-toast.right {
    justify-content: end;
}

.neocube-toast.center {
    justify-content: center;
}

.neocube-toast .bg-info,
.neocube-toast .bg-danger,
.neocube-toast .bg-success {
    color: #fff
}